{% extends 'base.html.twig' %}

{% block metas %}
  {{ parent() }}
  <meta name='csp-nonce' content='{{ csp_nonce('style') }}' />
{% endblock %}

{% block javascripts %}
  {{ parent() }}
  {{ encore_entry_script_tags('dashboard') }}
{% endblock %}

{% block stylesheets %}
  {{ parent() }}
  {{ encore_entry_link_tags('dashboard') }}
{% endblock %}

{% block body %}
  {% cspscript %}
  <script>
    window.USER = `{{ app.user|serialize('json', { groups: ['user:get','user:view'] })|replace({'`': '\`'})|raw}}`;
    window.JWT = '{{ app.session.get('jwt') }}';
    window.ssrNonce = '{{ csp_nonce('style') }}';
  </script>
  {% endcspscript %}

  <div>
    <div class="private-layout" {{ stimulus_controller('private_layout') }}>

      <div
        {{ stimulus_target('private_layout', 'nav') }}
        class="private-layout__nav sidenav sidenav-fixed"
      >

        <div class="private-layout__logo-box">
          <a href="{{ path('app_home') }}">
            <div class="aei-stack aei-stack-columns aei-stack-center aei-stack-small-gap aei-stack-no-padding">

              <img alt="logo Agents en interventions"
                   width="50" height="50" decoding="async"
                   data-nimg="1"
                   src="{{ asset('img/logo.png') }}">
              <p>
                Agents<br>en<br>intervention
              </p>
            </div>

          </a>
        </div>

        {% set communes = getCommunes() %}
        {% if communes is not empty %}
          <div class="fr-select-group">
            <label class="fr-label" for="select-commune">Commune</label>
            <select class="fr-select" id="select-commune" name="select">
              <option value="" disabled hidden>-</option>
              {% for commune in communes %}
                <option
                  {{ commune.id == app.current_route_parameters.employer ? 'selected' : '' }}
                  value="{{ commune.id }}">{{ commune.name }}
                </option>
              {% endfor %}
            </select></div>
        {% endif %}

        <div class="fr-sidemenu" aria-labelledby="fr-sidemenu-title">
          <div class="fr-sidemenu__inner">
            {#                    <button class="fr-sidemenu__btn" hidden aria-controls="fr-sidemenu-wrapper" aria-expanded="false"> #}
            {#                        Dans cette rubrique #}
            {#                    </button> #}
            <div id="fr-sidemenu-wrapper">
              <ul class="fr-sidemenu__list">
                {% if is_granted('PRIVATE_MENU_SHOW_DASHBOARD') %}
                  <li
                    class="fr-sidemenu__item {% if app.current_route == 'app_dashboard' %} fr-sidemenu__item--active {% endif %}">
                    <a class="fr-sidemenu__link"
                       href="{{ path('app_dashboard', { employer: app.current_route_parameters.employer }) }}"
                       target="_self"
                      {% if app.current_route == 'app_dashboard' %} aria-current="page"{% endif %}>
                      <span class="fr-icon-home-4-line" aria-hidden="true"></span> Accueil
                    </a>
                  </li>
                {% endif %}
                {% if is_granted('PRIVATE_MENU_SHOW_PLANNING') %}
                  <li
                    class="fr-sidemenu__item {% if app.current_route == 'app_dashboard_planning' %} fr-sidemenu__item--active {% endif %}">
                    <a class="fr-sidemenu__link"
                       href="{{ path('app_dashboard_planning', { employer: app.current_route_parameters.employer }) }}"
                       target="_self" {% if app.current_route == 'app_dashboard_planning' %} aria-current="page"{% endif %}>
                      <span class="fr-icon-calendar-2-line" aria-hidden="true"></span>
                      Planning
                    </a>
                  </li>
                {% endif %}
                <li
                  class="fr-sidemenu__item {% if app.current_route == 'app_dashboard_map' %} fr-sidemenu__item--active {% endif %}">
                  <a class="fr-sidemenu__link"
                     href="{{ path('app_dashboard_map', { employer: app.current_route_parameters.employer }) }}"
                     target="_self" {% if app.current_route == 'app_dashboard_map' %} aria-current="page"{% endif %}>
                    <span class="fr-icon-map-pin-2-line" aria-hidden="true"></span>
                    Carte
                  </a>
                </li>
                <li
                  class="fr-sidemenu__item {% if app.current_route == 'app_dashboard_interventions' or app.current_route == 'app_dashboard_recurrences' %} fr-sidemenu__item--active {% endif %}">
                  <a class="fr-sidemenu__link"
                     href="{{ path('app_dashboard_interventions', { employer: app.current_route_parameters.employer }) }}"
                     target="_self" {% if app.current_route == 'app_dashboard_interventions' or app.current_route == 'app_dashboard_recurrences' %} aria-current="page"{% endif %}>
                    <span class="fr-icon-file-text-line" aria-hidden="true"></span>
                    Interventions
                  </a>
                </li>
                {% if is_granted('PRIVATE_MENU_SHOW_TEAM') %}
                  <li
                    class="fr-sidemenu__item {% if app.current_route == 'app_dashboard_team' %} fr-sidemenu__item--active {% endif %}">
                    <a class="fr-sidemenu__link"
                       href="{{ path('app_dashboard_team', { employer: app.current_route_parameters.employer }) }}"
                       target="_self" {% if app.current_route == 'app_dashboard_team' %} aria-current="page"{% endif %}>
                      <span class="fr-icon-account-circle-line" aria-hidden="true"></span>
                      Équipe
                    </a>
                  </li>
                {% endif %}
                {% if is_granted('PRIVATE_MENU_SHOW_COMMUNES') %}
                  <li
                    class="fr-sidemenu__item {% if app.current_route in ['app_employer_index', 'app_employer_new', 'app_employer_show', 'app_employer_edit'] %} fr-sidemenu__item--active {% endif %}">
                    <a class="fr-sidemenu__link"
                       href="{{ path('app_employer_index', { employer: app.current_route_parameters.employer }) }}"
                       target="_self" {% if app.current_route in ['app_employer_index', 'app_employer_new', 'app_employer_show', 'app_employer_edit'] %} aria-current="page"{% endif %}>
                      <span class="fr-icon-community-line" aria-hidden="true"></span>
                      Communes
                    </a>
                  </li>
                {% endif %}
              </ul>
            </div>
          </div>
        </div>

        {% if app.current_route == 'app_dashboard_planning' %}
          <div id="aei-planning-search"></div>
        {% else %}
          <div id="private-layout-footer" class="private-layout__footer">
            <p>
              <b>Il manque une fonctionnalité ?</b>
              <br />
              N'hésitez pas à <a target="_blank" rel="noopener" href="https://tally.so/r/meYxbk">nous contacter</a> !
            </p>
          </div>
        {% endif %}
      </div>

      <div class="private-layout__body">

        <header class="private-layout__header">
          <div class="private-layout__header-inner">
            <div class="aei-stack aei-stack-columns aei-stack-center aei-stack-large-gap">
              <button
                {{ stimulus_target('private_layout', 'navButton') }}
                class="fr-btn fr-hidden-lg fr-icon-menu-fill fr-btn--tertiary-no-outline"
                title="Ouvrir le bouton"
              >
                Ouvrir le menu
              </button>

              <h2>{% block title %}{% endblock %}{% block dashboard_title %}{% endblock %}</h2>
            </div>

            <div
              class="aei-user-menu"
              {{ stimulus_controller('user-menu') }}
            >

              <button type="button"
                {{ stimulus_action('user-menu', 'toggle', 'click') }}
                      class="fr-btn fr-btn--tertiary-no-outline aei-stack aei-stack-columns aei-stack-small-gap">
                {% include '_components/avatar.html.twig' with { 'size': 'small' } %}
                <span class="fr-hidden fr-unhidden-sm">
                        {{ app.user.firstname ~ " " ~ app.user.lastname }}
                      </span>
              </button>
              <div id="dropdownMenu"
                   class="dropdown-menu dropdown-menu--hidden user-menu" {{ stimulus_target('user-menu', 'menu') }}>

                <div class="fr-hidden-md">
                  <button
                    class="fr-btn fr-btn--icon-right fr-icon-close-line fr-btn--tertiary-no-outline"
                  >
                    Fermer
                  </button>
                </div>
                <a
                  class="dropdown-item"
                  href="{{ path(app.user.role is same as 'ROLE_AGENT' ? 'app_dashboard_map' : 'app_dashboard', { employer: app.current_route_parameters.employer }) }}"
                >
                  <span class="fr-icon-layout-grid-fill" aria-hidden="true"></span> Tableau de bord
                </a>
                <a class="dropdown-item" href="{{ path('app_my_account') }}">
                  <span class="fr-icon-user-setting-fill" aria-hidden="true"></span> Mon compte
                </a>
                <a
                  class="dropdown-item"
                  target="_blank"
                  rel="noopener"
                  href="https://incubateurdesterritoires.notion.site/Centre-d-aide-fb7d1fd2b9f94eb8be41bca922388207"
                >
                  <span class="fr-icon-question-fill" aria-hidden="true"></span> Centre d'aide
                </a>
                {% if is_granted('IS_IMPERSONATOR') %}
                    <a class="dropdown-item" href="{{ impersonation_exit_path(path('app_home')) }}" data-prefetch="false">
                      <span class="fr-icon-admin-fill" aria-hidden="true"></span> Exit impersonation
                    </a>
                {% endif %}
                <a class="dropdown-item" href="{{ path('app_logout') }}" data-prefetch="false">
                  <span class="fr-icon-logout-box-r-line" aria-hidden="true"></span> Se déconnecter
                </a>
              </div>
            </div>

          </div>
        </header>

        <main class="dashboard">
          {% block content %}{% endblock %}
        </main>

      </div>

    </div>
  </div>
  {% cspscript %}
    <script>
      function changeCommune(el) {
        const splittedPath = window.location.pathname.split('/');
        splittedPath[1] = el.value;
        window.location.replace(splittedPath.join('/'));
      }

      (function () {
        const select = document.getElementById('select-commune');
        if (select) {
          select.addEventListener('change', function() {
            changeCommune(this);
          });
        }
      })();
    </script>
  {% endcspscript %}
{% endblock %}
